Subject: Re: linux-next: build failure after merge of the pinctrl tree

From: Ray Jui <[email-masked]>
Date: Fri, 18 Dec 2015 09:05:46 -0800

Hi All,

Yes I also checked the original patch that Pramod sent out:

@@ -636,13 +638,13 @@ static int cygnus_gpio_register_pinconf(struct 
cygnus_gpio *chip)
  	return 0;
  }

-static void cygnus_gpio_unregister_pinconf(struct cygnus_gpio *chip)
+static void iproc_gpio_unregister_pinconf(struct iproc_gpio *chip)
  {
  	if (chip->pctl)
  		pinctrl_unregister(chip->pctl);
  }

Somehow it was not merged properly into Linus' tree? The fix is simple 
and just like Pramod proposed.

Linus, how do you want to proceed with this?

Thanks,

Ray

On 12/17/2015 10:12 PM, Pramod Kumar wrote:
> Hi Stephen,
>
> The issue I pointed out is the relevant and is fully related to the statement-
>
> " After merging the pinctrl tree, today's linux-next build (arm
> multi_v7_defconfig) failed like this:"
>
> Even I tried the build for config "arm multi_v7_defconfig" it was compile failed. After fixing this I see compilation successful. I don't think we see any more issue after this fix.
>
> Please let me know in case I should try any more compilation.
>
> Regards,
> Pramod
>
>> -----Original Message-----
>> From: Stephen Rothwell [mailto:[email-masked]]
>> Sent: 18 December 2015 11:28
>> To: Pramod Kumar
>> Cc: Linus Walleij; [email-masked]; [email-masked]; Ray
>> Jui; Scott Branden
>> Subject: Re: linux-next: build failure after merge of the pinctrl tree
>>
>> Hi Pramod,
>>
>> On Fri, 18 Dec 2015 05:34:58 +0000 Pramod Kumar
>> <[email-masked]> wrote:
>>>
>>> Hi Stephen/Linus,
>>>
>>> Please suggest us how could we fix this issue.
>>
>> I think you issue is different from what I reported, What I reported was caused
>> by the addition of the dependency on COMPILE_TEST which allowed the driver
>> to be built on architectures/platforms that do not have the needed definitions.
>>
>> --
>> Cheers,
>> Stephen Rothwell                    [email-masked]
>